Subject: bug#20678: new bug that Paul "asked" for... grep -P aborts on non-utf8 input.

From: Linda Walsh <[email-masked]>
Date: Thu, 28 May 2015 06:17:32 -0700

Bernhard Voelker wrote:
> On 05/28/2015 12:24 AM, Linda Walsh wrote:
>> ok... ARG -- I just installed the new version of grep from
>> my distro (suse13.2) -- grep-2.20-2.4.1.x86_64
>>
>> I think they'll be out with a new distro release in about
>> a year...(yes, I can probably build my own...like I have
>> to with a growing body of Software)
> 
> This is openSUSE specific.
> When you've built your own version with a patch for a problem,
> nothing prevents you from simply creating a submit request for
> that patch on OBS to "Base:System/grep", and maybe even creating
> a maintenance request for "openSUSE:13.2/grep".  Get involved.
----
	Main thing my patch is restoring functionality of 'rm'
to allow "rm -fr .", I'm not daft enough to try to sneak that in
as a default.  Maybe in a different command, maybe as a non-default,
but I'm anything but duplicitous (unfortunately).

	I _have_ always thought that a shorthand combination of rd and rm, 
might be nice -- maybe 'r'...   Of course it would only work like rmdir
on empty dirs unless they specify the "-r" flag so it could remove contents
first.  And of course it would pay attention to the posix rule about not
trying to delete '.' after it finished its' depth first traversal...
But no one else seems to really care that much, so I'm not sure how much
effort I want to put into it to package something like that up.  But
it has entered my mind... 

Cheers,
Lina